# Class SaslClientCallbackHandler

java.lang.Object
org.apache.zookeeper.SaslClientCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class SaslClientCallbackHandler extends Object implements CallbackHandler
This is used by the SASL mechanisms to get further information to complete the authentication. For example, a SASL mechanism might use this callback handler to do verification operation. The CallbackHandler interface here refers to javax.security.auth.callback.CallbackHandler. It should not be confused with ZooKeeper packet callbacks like org.apache.zookeeper.server.auth.SaslServerCallbackHandler.

## Constructor Summary

Constructors
Constructor
Description
`SaslClientCallbackHandler(String password, String client)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaslClientCallbackHandler

public SaslClientCallbackHandler(String password, String client)

## Method Details

### handle

public void handle(Callback[] callbacks) throws UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `UnsupportedCallbackException`